/**
 * A representation of a specific time with no date component.
 *
 * Expects the time to be a string that looks like: `13:03:20`.
 */
export declare class Time {
    private readonly _isValid;
    private readonly _time;
    get isValid(): boolean;
    /**
     * Creates an instance of Time.
     *
     * @param time The time in the format `13:03:20`.
     */
    constructor(time: string | Date);
    toString(): string;
    /**
     * Returns a Date with the date portion set to the current date based on the
     * current local date and the time set to the time of this Time instance.
     */
    toDate(): Date;
}
